#ifndef LiquidCrystalProgmem_h
#define LiquidCrystalProgmem_h

/*  Copyright (c) 2020 Jaroslaw Weglinski based on LiquidCrystal Arduino library
    https://github.com/arduino-libraries/LiquidCrystal
    Changes licensed under GNU Lesser General Public License v.2.1 or any later version.*/

#include <LiquidCrystal.h>

class LiquidCrystalProgmem: public LiquidCrystal {
  public:
    LiquidCrystalProgmem(uint8_t rs,  uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3);

    void createCharProgMem(uint8_t location, const uint8_t charmap[]);
    void createChar(uint8_t location, const __FlashStringHelper *buf);
};

#endif
